3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php class A { private function __construct() { throw new Exception('thrown'); } public function A() { return array('a', 'b', 'c'); } public static function I() { return new A(); } } try { $A = new A(); } catch(Exception $e) { var_dump($A); }
based on 26nku
Output for 7.0.0 - 7.2.0
Fatal error: Uncaught Error: Call to private A::__construct() from invalid context in /in/Es3sq:22 Stack trace: #0 {main} thrown in /in/Es3sq on line 22
Process exited with code 255.
Output for 5.3.19 - 5.6.21
Fatal error: Call to private A::__construct() from invalid context in /in/Es3sq on line 22
Process exited with code 255.